Products
Get Product
Retrieves a single product by ID.
Authorization
api_key api-key<token>
In: header
Path Parameters
productId*string
The product ID from the URL path
Query Parameters
tenantAlias*string
Merchant identifier for multi-tenant access
Response Body
application/json
application/json
application/json
curl -X GET "https://api.paynowpro.com/api/v1/products/string?tenantAlias=string"{
"id": "string",
"groupId": "string",
"tenantAlias": "string",
"name": "string",
"active": true,
"description": "string",
"metadata": {
"property1": null,
"property2": null
},
"expiresAt": "string",
"createdAt": "string",
"updatedAt": "string"
}{
"cause": null,
"body": {
"response": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
}
},
"request": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
},
"url": "string",
"method": "string"
},
"reason": "string",
"code": 400
}
}{
"cause": null,
"body": {
"response": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
}
},
"request": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
},
"url": "string",
"method": "string"
},
"reason": "string",
"code": 400
}
}